# Bank Transfer

***

### <mark style="color:orange;">POST</mark> /v2/payout

{% hint style="info" %}
**Request**
{% endhint %}

{% code overflow="wrap" %}

```bash
curl -v --location --request POST 'https://sandbox.smartfastpay.com/v2/payout' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <Access-Token>' \
    --data-raw '{
      "customer": {
        "id": "b48a0728-9ff4-47ee-8f1b-92d2d5813ddb",
        "name": "Richard Roe",
        "email": "richard@roe.com",
        "document": {
          "type": "DNI",
          "number": "12345678"
        },
        "phone": "+5564981038038"
      },
      "country": "PER",
      "payment_method": "bank_transfer",
      "notification_url": "http://mysite.com/api/notification",
      "bank_transfer": {
        "bank_code": "002",
        "bank_account_number": "01135400010004648881",
        "bank_account_type": "SAVINGS"
      },
      "transaction": {
        "id": "73e7036e-b835-4130-8db0-2f82cc859662",
        "currency": "PEN",
        "amount": 2000
      }
    }'
```

{% endcode %}

<table><thead><tr><th width="305">Parameter</th><th width="120" align="center">Type</th><th align="center">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>customer.id</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>Unique identifier for the customer in your system. This value should remain consistent across all transactions for the same customer</td></tr><tr><td><code>customer.name</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The full name of the customer making the payment. It should match the name on the customer's identification documents</td></tr><tr><td><code>customer.email</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The email address of the customer. This will be used for sending payment confirmations and notifications</td></tr><tr><td><code>customer.phone</code></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>(E.164)</code></mark></td><td align="center">no</td><td>The phone number of the customer, including the country code. This parameter may be optional or required depending on the payment method used.<br><a href="https://www.twilio.com/docs/glossary/what-e164">https://www.twilio.com/docs/glossary/what-e164</a></td></tr><tr><td><code>customer.birthdate</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The birthdate of the customer, provided in the format <code>mm-dd-yyyy</code>. This parameter may be required depending on the country regulations or the payment method</td></tr><tr><td><code>customer.document.number</code></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>Format: 99999999999 / 9999999999999</code></mark></td><td align="center"><strong>yes</strong></td><td>The official identification number of the customer. This is typically a national ID, or other government-issued document</td></tr><tr><td><code>customer.document.type</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The type of document provided by the customer. Common types include national ID, or driver's license. <a href="../../../../thesmartway/api-requests/document-type">List of documents allowed</a>.</td></tr><tr><td><code>customer.address.addres_1</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The primary street address of the customer </td></tr><tr><td><code>customer.address.addres_2</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>Additional address information, such as apartment number or suite</td></tr><tr><td><code>customer.address.city</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The city in which the customer resides</td></tr><tr><td><code>customer.address.country_code</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The ISO 3166-1 alpha-3 country code for the customer's address. <a href="../../../../thesmartway/api-requests/country-codes">List of country codes.</a></td></tr><tr><td><code>customer.address.neightborhood</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The neighborhood or district of the customer's address</td></tr><tr><td><code>customer.address.number</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The street number of the address</td></tr><tr><td><code>customer.address.postal_code</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The postal or ZIP code for the customer's address</td></tr><tr><td><code>customer.address.state</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The state or region of the customer's address </td></tr><tr><td><code>transaction.id</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>A unique identifier for the transaction. This ID should be generated by your system to track the specific payment process</td></tr><tr><td><code>transaction.currency</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The currency in which the transaction is being conducted. Use standard ISO 4217 currency codes (e.g., PER). <a href="../../../../thesmartway/api-requests/currency-codes">List of currency codes</a></td></tr><tr><td><code>transaction.amount</code></td><td align="center"><mark style="color:red;"><code>decimal</code></mark><br><mark style="color:red;"><code>(10,2)</code></mark></td><td align="center"><strong>yes</strong></td><td>The total amount of the transaction in the specified currency. This value should be a numeric amount (use dot instead of comma)<br><mark style="color:red;"><code>Eg: 300.10</code></mark></td></tr><tr><td><code>transaction.expire</code></td><td align="center"><mark style="color:red;"><code>integer (11)</code></mark></td><td align="center">no</td><td>The time in seconds until the transaction expires and is no longer valid</td></tr><tr><td><code>branch</code></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>min: 1 | max: 255</code></mark></td><td align="center">no</td><td>The specific branch or location identifier where the transaction is being processed, if applicable</td></tr><tr><td><code>country</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The country code where the transaction is taking place. The format is <code>ISO 3166-1 alpha-3</code> (e.g., ECU). <a href="../../../../thesmartway/api-requests/country-codes">List of country codes.</a></td></tr><tr><td><code>payment_method</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The method of payment being used for the transaction, such as bank transfer, credit card...</td></tr><tr><td><code>notification_url</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The URL to which payment notifications will be sent. Ensure this URL is accessible and configured to handle the notification format</td></tr><tr><td><code>bank_transfer.bank_code</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>Bank Code</td></tr><tr><td><code>bank_transfer.bank_account_number</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>Bank Account Number / CCI</td></tr><tr><td><code>bank_transfer.bank_account_type</code></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>(SAVINGS or CHECKING)</code></mark></td><td align="center"><strong>yes</strong></td><td>Bank Account Type</td></tr></tbody></table>

{% hint style="info" %}
**Response**
{% endhint %}

```json
{
    "requestId": "de3af972e3cea7d6cd998bc4761f05f4\/15349144900800090226",
    "data": {
	"id": "2d6c4f53-8ec4-4cfc-82b7-df1bde11bf92",
	"status": "pending",
	"payment": {
	    "method": "bank_transfer"
	},
	"values": {
	    "source_total": "18.00000000",
	    "source_currency": "PEN",
	    "exchanged_total": "18.00",
	    "exchanged_currency": "PEN",
	    "exchange": "1.00",
	    "fee": "0.18000000"
	}
    }
}
```

{% hint style="info" %}
**Response details following the link:** [**overview**](https://docs.smartfastpay.com/methods-and-markets/payout/overview)
{% endhint %}
